%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocamldsort
Version:        0.15.0
Release:        9%{?dist}
Summary:        Dependency sorter for OCaml source files

Group:          Development/Libraries
License:        GPLv2+
URL:            http://www.normalesup.org/~ara/informatique.html
Source0:        ftp://quatramaran.ens.fr/pub/ara/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-camlp4-devel


%description
The ocamldsort command scans a set of Objective Caml source files (.ml
and .mli files), sorts them according to their dependencies and prints
the sorted files in order to link their corresponding .cmo files.

For ocamldsort to work it must get a list of dependencies generated by
ocamldep, if the standard input to ocamldsort has been redirected then
ocamldsort assumes that this is a dependency file generated by
ocamldep. Otherwise ocamldsort calls ocamldep to generate the
dependency list itself. In either case the source files to be sorted
should be given as arguments to the ocamldsort command.


%prep
%setup -q


%build
%configure
make


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

%if %opt
install -m 0755 ocamldsort.opt $RPM_BUILD_ROOT%{_bindir}/ocamldsort
%else
install -m 0755 ocamldsort $RPM_BUILD_ROOT%{_bindir}
%endif
strip $RPM_BUILD_ROOT%{_bindir}/ocamldsort

install -m 0644 ocamldsort.1 $RPM_BUILD_ROOT%{_mandir}/man1


%files
%doc COPYING README
%{_bindir}/ocamldsort
%{_mandir}/man1/ocamldsort.1*


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Jaromir Capik <jcapik@redhat.com> - 0.15.0-7
- Removing ExclusiveArch

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun  8 2012 Jerry James <loganjerry@gmail.com> - 0.15.0-3
- Rebuild for OCaml 4.00.0
- New project URL

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 14 2011 Jerry James <loganjerry@gmail.com> - 0.15.0-1
- New upstream version
- Drop unnecessary spec file elements (BuildRoot, etc.)
- Change to ExclusiveArch using new ocaml_arches macro
- Drop unnecessary BRs
- Use the %%configure macro
- Let RPM compress the man page however it likes
- Add COPYING and README to docs

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Richard W.M. Jones <rjones@redhat.com> - 0.14.4-6
- Rebuild for OCaml 3.11.1

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 26 2008 Richard W.M. Jones <rjones@redhat.com> - 0.14.4-4
- Rebuild for OCaml 3.11.0+rc1.

* Mon Mar  3 2008 Richard W.M. Jones <rjones@redhat.com> - 0.14.4-3
- Rebuild for ppc64.

* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 0.14.4-2
- Add missing BR ocaml-camlp4-devel and test in mock.

* Sun Feb 24 2008 Richard W.M. Jones <rjones@redhat.com> - 0.14.4-1
- Initial RPM release.
